import { reactive } from 'vue'
import { QUESTION_TYPE_ALL, QUES_STATUS } from '@/utils/dictionary.js'

export const search = reactive([
  {
    label: '问题类型',
    key: 'questionType',
    type: 'select',
    props: {
      placeholder: '请选择问题类型',
      options: QUESTION_TYPE_ALL
    }
  },
  {
    label: '问题状态',
    key: 'status',
    type: 'select',
    props: {
      placeholder: '请选择问题状态',
      options: [
        { label: '全部', value: 'all' },
        ...QUES_STATUS
      ]
    }
  }
])
